Description: remove maven-javadoc-plugin from pom.xml
Forwarded:   No
Author:      Mechtilde Stehmann <mechtilde@debian.org>
Last-Update: 2020-04-12
--- a/pom.xml
+++ b/pom.xml
@@ -150,57 +150,6 @@
 			-->
 		</resources>
 		<plugins>
-			<!-- Create a Javadoc JAR -->
-			<plugin>
-				<groupId>org.apache.maven.plugins</groupId>
-				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>3.0.0</version>
-				<configuration>
-					<encoding>UTF-8</encoding>
-					<linksource>true</linksource>
-					<links>
-						<link>https://mangstadt.github.io/vinnie/javadocs/latest/</link>
-						<link>https://freemarker.apache.org/docs/api</link>
-						<link>http://jsoup.org/apidocs/</link>
-						<link>http://fasterxml.github.io/jackson-core/javadoc/2.10</link>
-					</links>
-					<quiet>true</quiet>
-					
-					<!-- The build fails if it detects Javascript in the footer. -->
-					<additionalOptions>
-						<additionalOption>--allow-script-in-comments</additionalOption>
-					</additionalOptions>
-
-					<!-- exclude commons-codec source -->
-					<excludePackageNames>ezvcard.util.org.*</excludePackageNames>
-
-					<!-- Add Javascript syntax highlighter -->
-					<top><![CDATA[
-						<script src="doc-files/shCore.js" type="text/javascript"></script>
-						<script src="doc-files/shBrushJava.js" type="text/javascript"></script>
-					]]></top>
-					<footer><![CDATA[
-						<script type="text/javascript">
-							SyntaxHighlighter.defaults["auto-links"] = false;
-							SyntaxHighlighter.defaults["gutter"] = false;
-							SyntaxHighlighter.defaults["tab-size"] = 2;
-							SyntaxHighlighter.defaults["toolbar"] = false;
-							SyntaxHighlighter.all();
-						</script>
-					]]></footer>
-					<docfilessubdirs>true</docfilessubdirs>
-					<stylesheetfile>src/main/javadoc/syntaxhighlighter.css</stylesheetfile>
-				</configuration>
-				<executions>
-					<execution>
-						<id>attach-javadocs</id>
-						<goals>
-							<goal>jar</goal>
-						</goals>
-					</execution>
-				</executions>
-			</plugin>
-			
 			<!--
 			FindBugs plugin
 			To run: mvn findbugs:findbugs
